############################################################
#
# type definition pro_declaration_component_spma
#
# RESPONSIBLE: German Cancio <German.Cancio@cern.ch>
#
#  VERSION :    1.2.8
#
############################################################

declaration template pro_declaration_component_spma;

include pro_declaration_component_type;

define type component_spma_type = {
	include component_type
	"unescape"	? boolean descro "use escape function"
	"trailprefix"   ? boolean descro "if no escape function, use underscore prefix"
	"userpkgs"	? string with match (self, 'yes|no')
#                          descro "Allow user packages"
	"userprio"	? string with match (self, 'yes|no')
#                          descro "Priority to user packages"
	"packager"	? string  with match (self, '(rpm|pkg)')
#			  descro "system packager to be used (rpm,pkg)"
        "rpmexclusive"  ? string with match (self, 'yes|no') 
#                          descro "stop other processes using rpm db"
        "usespmlist"    ? string with match (self, 'yes|no') 
#                          descro "Have SPMA controlling any packages"
        "debug"         ? string with match (self, '0|1|2|3|4|5')    
#                          decro "debug level (0-5)"
        "verbose"       ? string with match (self, '0|1')    
#                          decro "verbose (0,1)"
	"localcache"	? string with match (self, 'yes|no')
#                          descro "Use SPMA package cache"
	"cachedir"	? string
#                          descro "SPMA cache directory"
        "run"           ? string with match (self, 'yes|no')
#                          descro "Run the SPMA after configuring it"
        "proxy"           ? string with match (self, 'yes|no')
#                           descro "Enable proxy"
        "proxytype"           ? string with match (self, 'forward|reverse')
#                           descro "select proxy type, forward or reverse"
        "proxyhost"           ? string
#                           descro "comma-separated list of proxy hosts"
        "proxyport"           ? string
#                           descro "proxy port number"
	"headnode"      ? boolean descro "use head node"


};


type "/software/components/spma" = component_spma_type;


